---
######################################### HOME TAB SERVICES ######################################################################
- Infrastructure:
    - Proxmox 1:  # Main Virt Server
        id: blue
        tab: Home
        href: https://192.168.2.1:8006
        icon: proxmox.png
        description: Virtual Server 1
        widget:
          type: proxmox
          url: https://192.168.2.1:8006
          username: api@pam!homepage
          password: faca2bd5-e6df-4192-85ce-928fccde4623
          node: pve
          fields: ["vms", "lxc", "resources.cpu", "resources.mem"]

    - Proxmox 2:
        id: yellow
        tab: Home
        href: https://192.168.2.2:8006
        icon: proxmox.png
        description: Virtual Server 2
        widget:
          type: proxmox
          url: https://192.168.2.2:8006
          username: api@pam!homepage
          password: 1b2fa246-a994-4f93-ab4d-1c91a4aea614
          node: pve
          fields: ["vms", "lxc", "resources.cpu", "resources.mem"]

    - Authentik:
         id: red
         tab: Home
         href: https://auth.mikemcfetridge.com
         icon: authentik.png
         description: Authentik SSO
         widget:
           type: authentik
           url: https://192.168.2.6:9543
           key: NW5ldUK8qDRY91ny67dE6ckWCMXThF9nwj6EZw7pKbS5FzXx5wouAo4sC19n
           version: 2

    - Dockhand:
        id: cyan
        tab: Home
        href: http://192.168.2.6:3200
        icon: dockhand.png
        description: Dockhand
        widget:
          type: dockhand
          url: http://192.168.2.6:3200
          username: mmcfetridge
          password: "!Sucyetat123"
          fields: ["running", "total", "pending_updates", "paused"]

    - Mailcow:
        id: cyan
        tab: Home
        href: https://216.144.227.142/admin
        icon: mailcow.png
        description: mailcow
        widget:
          type: mailcow
          url: https://mail.mmcfetridge.net
          key: 2C3DAF-9DA97F-22FF12-851295-2A7E37

##############################################   APPS  TAB Services ###########################################################
- Applications:
    - Immich:
        id: white
        tab: Home
        href: https://immich.mikemcfetridge.com
        icon: immich.png
        description: Photos Server
        widget:
          type: immich
          url: http://192.168.2.6:2283
          key: "MLbcal27A67J6FZV1PIb3AdMsRf8xZC1uruOLB7js"
          fields: ["users", "photos", "storage"]
          version: 2

    - MySpeed:
        id: lime
        tab: Home
        icon: myspeed.png
        href: http://192.168.2.13:5216
        widget:
          type: myspeed
          url: http://192.168.2.13:5216
          password: "!Sucyetat123"  # only required if password is set

    - mealie:
        id: cobalt
        tab: Home
        icon: mealie.png
        href: http://192.168.2.13:9200/
        widget:
          type: mealie
          url: http://192.168.2.13:9200
          key: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJsb25nX3Rva2VuIjp0cnVlLCJpZCI6IjMxNWM4ZmNjLWI1Y2ItNDMyMy1hNDNmLTIyNjAwYjU2ZTJlOSIsIm5hbWUiOiJob21lcGFnZSIsImludGVncmF0aW9uX2lkIjoiZ2VuZXJpYyIsImV4cCI6MTk0MjI2NjU4NH0.iPE6newlQ3PVqdbgDCDdsAqZrwZ6glROWI1kvq5zb_I
          version: 2 # only required if version > 1, defaults to 1

    - Nextcloud:
        id: gold
        tab: Home
        href: https://next.mcfetridge.us
        icon: nextcloud.png
        description: Nextcloud Server
        widget:
          type: nextcloud
          url: https://next.mcfetridge.us
          username: mmcfetridge
          password: "!Sucyetat123"

    - MyGitea:
        id: navy
        tab: Home    
        icon: gitea.png
        href: https://gitea.mikemcfetridge.com/
        widget:
          type: gitea
          url: https://gitea.mikemcfetridge.com/
          key: 6cac00dd2f58fcc1bcdeae858f896b1995a19fd9

    - BookStack:
        id: slate
        tab: Home    
        icon: bookstack.png
        href: https://book.mikemcfetridge.com/


############################################## MEDIA TAB Services ###########################################################
- Media downloader:
    - Calendar:
        id: gray
        tab: Media
        name: Calendar
        widget:
          type: calendar
          view: agenda
          maxEvents: 6
          firstDayInWeek: sunday
          integrations:
            - type: sonarr
              service_group: Media downloader
              service_name: Sonarr
            - type: radarr
              service_group: Media downloader
              service_name: Radarr

    - Gluetun:
        id: jade
        tab: System    
        href: http://192.168.2.8:8000
        icon: gluetun.png
        description: Media VPN Server
        widget:
          type: gluetun
          url: http://192.168.2.8:8000
          fields: ["public_ip", "region", "country"]
          version: 2 # optional, default is 1

    - Sonarr:
        id: crimson
        tab: Media    
        href: http://192.168.2.8:8989
        icon: sonarr.png
        description: TV Show Service
        widget:
          type: sonarr
          url: http://192.168.2.8:8989
          key: b4227fd07fd046f094d620b88d92e494
          fields: ["wanted", "queued", "series"]

    - Radarr:
        id: lavender
        tab: Media    
        href: http://192.168.2.8:7878
        icon: radarr.png
        description: Movie Service
        widget:
          type: radarr
          url: http://192.168.2.8:7878
          key: 9b0e1202f7b94907ba92a1ea23304fa4
          fields: ["wanted", "missing", "queued", "movies"]

    - Qbittorrent:
        id: teal
        tab: Media    
        href: http://192.168.2.8:8080
        icon: qbittorrent.png
        description: Download Client
        widget:
          type: qbittorrent
          url: http://192.168.2.8:8080
          username: admin
          password: "!Sucyetat123"

- Media Apps:
    - Jellyfin:
        id: violet
        tab: Media    
        href: http://192.168.2.8:8096
        icon: jellyfin.png
        description: Movies & TV Shows
        widget:
          type: jellyfin
          url: http://192.168.2.8:8096
          key: ffe8e2b31fd24464ac779121e920ac25
          enableBlocks: true
          enableNowPlaying: true

    - Jellyseerr:
        id: aqua
        tab: Media    
        href: http://192.168.2.8:5055
        icon: jellyseerr.png
        description: Movie/show Database
        widget:
          type: jellyseerr
          url: http://192.168.2.8:5055
          key: MTc4MzM0NDc0OTI1OWY1YzJkYWJkLTA0OWEtNDY0NS05ZTMwLTI3NjFkZjYxNjdhZQ==
          fields: ["pending", "approved", "available"]

    - Navidrome:
        id: navy
        tab: Media    
        icon: navidrome.png
        href: http://192.168.2.8:4533
        widget:
          type: navidrome
          url: http://192.168.2.8:4533
          user: mmcfetridge
          token: 05dee16046666bb05d98291b9c6e39d3
          salt: 50c05a

    - AudioBookShelf:
        id: beige
        tab: Media    
        href: http://192.168.2.8:13378
        icon: audiobookshelf.png
        description: Index Server
        widget:
          type: audiobookshelf
          url: http://192.168.2.8:13378
          key: "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJrZXlJZCI6IjU1MzViZDFiLTI3NGUtNGNjOC1iMWZkLTNiZWFiNjg0NDQ1YiIsIm5hbWUiOiJob21lcGFnZSIsInR5cGUiOiJhcGkiLCJpYXQiOjE3ODM0NjE1NjJ9.BYvicD24tA3lEx_ktwmf6Igme6dpLj1SUrc0Y9ISBMs"
          fields: ["podcasts", "books"]

##################################### Network & System TAB Services ##############################################################
- Network:
    - Nginx Proxy Manager:
        id: emerald
        tab: Network
        href: http://192.168.2.12:81
        icon: nginx-proxy-manager.png
        description: Nginx Proxy Manager
        widget:
          type: npm
          url: http://192.168.2.12:81
          username: mmcfetridg@aol.com
          password: "!Sucyetat123"
          fields: ["enabled", "disabled", "total"]

    - Pangolin:
        id: salmon
        tab: Network
        icon: pangolin.png
        href: https://app.pangolin.net
        description: External network 
        widget:
          type: pangolin
          url: https://api.pangolin.net
          key: "w3f8ong2hz7a3da.dappsg2veyo36my5ibsmrmnzd2c2626lyrok7inn"
          org: org_lsxd0ocafwikxgs
          fields: ["sites", "resources", "targets"]

######################################## System TAB Services ######################################################################
- Systems:

    - Public IP:
        icon: mdi-web
        href: https://whatismyipaddress.com/
        widget:
          type: customapi
          url: https://api.ipify.org?format=json
          refreshInterval: 3600000 # Refreshes once an hour (in milliseconds)
          method: GET
          mappings:
            - field: ip
              label: WAN IP
              format: text

    - Technitium:
        id: burgundy
        tab: Network
        href: http://192.168.2.3:5380
        icon: technitium.png
        description: Technitium DNS Server
        widget:
          type: technitium
          url: http://192.168.2.3:5380
          key: 03348d06cd472fbd091d8232b1c13321ff70a8628dad7b0c23dd4512a18fb34b
          range: LastDay
          fields: ["totalQueries", "totalAuthoritative", "totalCached", "totalServerFailure"]

    - PatchMon:
        id: cyan
        tab: Network
        href: https://patch.mikemcfetridge.com
        description: PatchMon Statistics
        icon: https://patch.mikemcfetridge.com/assets/logo_square_default.svg
        widget:
          type: customapi
          url: https://patch.mikemcfetridge.com/api/v1/gethomepage/stats
          headers:
            Authorization: Basic cGF0Y2htb25fYWVfNTIxMmM5ZDg4M2E1NzA0NGIzZmJhZDdhMzQyYjVlODg6MTI0YzlhYzQ3ZTBlM2EzYWZiMTdjOTE5MWExYzU5M2YxOGJhNDdkYWQ0NjBjZmU2MDJmZDQ5MzE2ZDM0MTQ1Ng==
          mappings:
          - field: total_hosts
            label: Total Hosts
          - field: hosts_needing_updates
            label: Needs Updates
          - field: security_updates
            label: Security Updates
############################################## Bookmark  TAB Services #############################################################

- Bookmarks:
    - Github:
        id: indigo
        tab: Bookmarks
        abbr: GH
        href: https://github.com
        icon: github-light.png
        description: GitHub

    - Linkwarden:
        id: charcoal
        tab: Bookmarks
        href: https://lw.mikemcfetridge.com
        icon: linkwarden.png
        description: Web Bookmarker
        widget:
          type: linkwarden
          url: http://192.168.2.10:3000
          key: "eyJhbGciOiJkaXIiLCJlbmMiOiJBMjU2R0NNIn0..ZLJgig_ol-n3i1tv.vhWCnMSHVd81bdidL85-imXKpxGC0U3mHlvmkQyIJqJvcFRRJVBAasw9C0cmfSXVPq08HT-B-3zUAmftnPRymPHMJCkfo8pv_XBbEPneIFH-n59_dg26.qcXSK2REP3M_Vdgp0aOqcA"
          fields: ["links", "collections"]

    - Semaphore:
        id: cerulean
        tab: Bookmarks
        icon: semaphore.png
        href: http://192.168.2.13:3020
        description: CI/CD Automation

    - Wg-Easy:
        id: rose
        tab: Bookmarks
        icon: wireguard.png
        href: http://192.168.2.13:10086
        description: Wireguard VPN

    - YouTube:
        id: coral
        tab: Bookmarks
        icon: youtube.png
        href: https://youtube.com/
        description: Video Platform

#
